// -----------------------------------------------------
// Copy this file to your theme and modify the variables
// to override basic definite theme design
// -----------------------------------------------------

// Fonts
@font-primary:  -apple-system, BlinkMacSystemFont, "Segoe UI", "Helvetica Neue", Arial, "Noto Sans", sans-serif;
@font-serif:    Georgia, "Times New Roman", Times, serif;
@font-headline: @font-serif;


// Brand colors
@brand-lightest: #f6f7fa;
@brand-lighter:  #e8e9ea;
@brand-light:    #d1d2d3;
@brand-dark:     #36383a;

@brand-primary:  @brand-dark;

@discount-color: #b12704;


// Borders
@border-color:       @gray-light;
@border-color-light: @brand-light;
@border-style:       dotted;


// Footer
@footer-bg:                 @brand-lightest;
@footer-color:              @text-color;
@footer-link-color:         @footer-color;
@footer-link-hover-color:   @link-hover-color;
@footer-title-color:        @text-color;
@footer-title-border-color: @border-color;

@footer-bottom-bg:          @brand-dark;
@footer-bottom-color:       rgba(255,255,255,0.75);
@footer-bottom-link-color:  @footer-bottom-color;


// Title bars
@title-bar-text-transform:          initial;

@title-bar-light-title-background:  @body-bg;
@title-bar-light-title-color:       @text-color;
@title-bar-light-border-width:      1px;
@title-bar-light-border-style:      @border-style;
@title-bar-light-border-color:      @border-color;

@title-bar-dark-background:         @brand-dark;
@title-bar-dark-color:              #fff;
@title-bar-dark-title-color:        @title-bar-dark-color;


// Menus and navigation
@main-menu-background:          #fff;
@main-menu-border-color:        @border-color;
@main-menu-border-top-width:    1px;
@main-menu-border-bottom-width: 1px;
@main-menu-border-style:        @border-style;

@main-menu-mobile-border-bottom-width: 1px;
@main-menu-mobile-border-bottom-color: @border-color;
@main-menu-mobile-border-bottom-style: @border-style;

@main-menu-link-color:        @text-color;
@main-menu-link-hover-color:  #fff;
@main-menu-link-hover-bg:     @brand-primary;
@main-menu-active-link-color: @text-color;
@main-menu-active-link-bg:    @brand-lighter;

@main-menu-transition-speed: .2s;

@main-menu-mobile-sized-nav-border-top:    1px @border-style @border-color;
@main-menu-mobile-sized-nav-border-bottom: 1px @border-style @border-color;

@mobile-nav-width:                  270px;
@mobile-nav-bg:                     #fff;
@mobile-nav-text-color:             @text-color;
@mobile-nav-link-color:             @text-color;
@mobile-nav-link-level-1-bg:        darken(@mobile-nav-bg, 3%);
@mobile-nav-link-level-2-bg:        darken(@mobile-nav-link-level-1-bg, 4%);
@mobile-nav-link-level-3-bg:        darken(@mobile-nav-link-level-2-bg, 4%);
@mobile-nav-link-active-color:      @link-color;
@mobile-nav-link-active-bg:         transparent;

@mobile-nav-toggler-color:          @text-color;
@mobile-nav-toggler-active-color:   @brand-primary;

@mobile-nav-element-border-color:   #ccc;

@mobile-search-text-color:          @mobile-nav-text-color;
@mobile-search-icon-color:          @mobile-nav-text-color;
@mobile-search-icon-hover-color:    @mobile-nav-link-active-color;
@mobile-search-input-active-border: @mobile-search-text-color;

@megamenu-bg:                       #fff;
@megamenu-link-color:               @brand-dark;
@megamenu-link-active-color:        @brand-dark;
@megamenu-link-hover-color:         @link-color;


// Category & Product
@category-sidebar-filters-bg:    @brand-lightest;

@product-card-details-font-size: 1.1rem;
@product-card-price-color:       @brand-primary;
@product-card-price-hover-color: @product-card-price-color;
@product-card-price-font-weight: bold;
@product-card-price-font-size:   100%;


// Buttons
@native-button-bg:     @brand-lightest;
@native-button-color:  @text-color;
@native-button-border: @brand-light;

@btn-text-transform: uppercase;
@btn-font-weight:    400;


// Border radius
@theme-border-radius-base:  0px; // Bootstrap default 4px
@theme-border-radius-large: 0px; // Bootstrap default 6px
@theme-border-radius-small: 0px; // Bootstrap default 2px


// labels
@label-sale-background: @discount-color;
@label-sale-color: #fff;

@label-new-background: @brand-primary;
@label-new-color: #fff;
